(function() {
  'use strict';

  function webShare() {
    var title = 'Training PWA UiTM';
    var text  = '(WIP-Working In Progress)';
    var url   = document.querySelector('link[rel=canonical]').href;

    //console.log(title + "\n" + text + '\n⇒ ' + url);

    if (navigator.share === undefined) {
      //toast('Unsupported feature: Web Share');
      //console.log('Error: Unsupported feature: navigator.share');
      window.open("https://api.whatsapp.com/send?text=" + window.encodeURIComponent(text + '\n⇒ ' + url));
      return;
    }

    navigator.share({title: title, text: text, url: url})
      .then(function() {})
      .catch(function(error) {});
  }

  document.querySelector('#btnShare').addEventListener('click', webShare);
})();
